Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global npm_name json-parse-helpfulerror


%global enable_tests 0

Name:		nodejs-json-parse-helpfulerror
Version:	1.0.3
Release:	alt1_9
Summary:	A drop-in replacement for JSON.parse that uses `jju` to give helpful errors
Url:		https://github.com/smikes/json-parse-helpfulerror
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:	MIT

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	npm(code)
BuildRequires:	npm(jslint)
BuildRequires:	npm(lab)
%endif

BuildRequires:	npm(jju)
Source44: import.info

%description
A drop-in replacement for JSON.parse that uses `jju` to give helpful errors

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
lab -c
%endif

%files
%{nodejs_sitelib}/json-parse-helpfulerror

%doc README.md
%{!?_licensedir:%global license %%doc}
%doc --no-dereference LICENSE

%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_9
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt0.1.njs.bootstrap
- bootstrap

